<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Dashboard for /home/malhafez/adyma/server/src</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href=".css/bootstrap.min.css" rel="stylesheet" type="text/css">
  <link href=".css/nv.d3.min.css" rel="stylesheet" type="text/css">
  <link href=".css/style.css" rel="stylesheet" type="text/css">
  <link href=".css/custom.css" rel="stylesheet" type="text/css">
 </head>
 <body>
  <header>
   <div class="container-fluid">
    <div class="row">
     <div class="col-md-12">
      <nav aria-label="breadcrumb">
       <ol class="breadcrumb">
         <li class="breadcrumb-item"><a href="index.html">/home/malhafez/adyma/server/src</a></li>
         <li class="breadcrumb-item active">(Dashboard)</li>

       </ol>
      </nav>
     </div>
    </div>
   </div>
  </header>
  <div class="container-fluid">
   <div class="row">
    <div class="col-md-12">
     <h2>Classes</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="classCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="classComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controller/APIController.php.html#16">App\Controller\APIController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Form/BaladeType.php.html#11">App\Form\BaladeType</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repository/UserRepository.php.html#18">App\Repository\UserRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repository/QuestionRepository.php.html#15">App\Repository\QuestionRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repository/ImagesRepository.php.html#15">App\Repository\ImagesRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repository/BaladeRepository.php.html#15">App\Repository\BaladeRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Kernel.php.html#10">App\Kernel</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Form/RegistrationFormType.php.html#15">App\Form\RegistrationFormType</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Form/EditUserType.php.html#14">App\Form\EditUserType</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Security/LoginFormAuthenticator.php.html#24">App\Security\LoginFormAuthenticator</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/AdminController.php.html#17">App\Controller\AdminController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Question.php.html#11">App\Entity\Question</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Images.php.html#11">App\Entity\Images</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Balade.php.html#13">App\Entity\Balade</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="DataFixtures/UserFixtures.php.html#10">App\DataFixtures\UserFixtures</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/SecurityController.php.html#10">App\Controller\SecurityController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/RegistrationController.php.html#15">App\Controller\RegistrationController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/BaladeController.php.html#19">App\Controller\BaladeController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#14">App\Entity\User</a></td><td class="text-right">38%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Entity/Balade.php.html#13">App\Entity\Balade</a></td><td class="text-right">930</td></tr>
       <tr><td><a href="Controller/BaladeController.php.html#19">App\Controller\BaladeController</a></td><td class="text-right">210</td></tr>
       <tr><td><a href="Security/LoginFormAuthenticator.php.html#24">App\Security\LoginFormAuthenticator</a></td><td class="text-right">182</td></tr>
       <tr><td><a href="Entity/User.php.html#14">App\Entity\User</a></td><td class="text-right">94</td></tr>
       <tr><td><a href="Entity/Images.php.html#11">App\Entity\Images</a></td><td class="text-right">90</td></tr>
       <tr><td><a href="Entity/Question.php.html#11">App\Entity\Question</a></td><td class="text-right">72</td></tr>
       <tr><td><a href="Kernel.php.html#10">App\Kernel</a></td><td class="text-right">42</td></tr>
       <tr><td><a href="Controller/AdminController.php.html#17">App\Controller\AdminController</a></td><td class="text-right">20</td></tr>
       <tr><td><a href="Controller/RegistrationController.php.html#15">App\Controller\RegistrationController</a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Repository/UserRepository.php.html#18">App\Repository\UserRepository</a></td><td class="text-right">12</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-12">
     <h2>Methods</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="methodCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="methodComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controller/APIController.php.html#21"><abbr title="App\Controller\APIController::list">list</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Form/EditUserType.php.html#44"><abbr title="App\Form\EditUserType::configureOptions">configureOptions</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Question.php.html#40"><abbr title="App\Entity\Question::setQuestion">setQuestion</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Question.php.html#47"><abbr title="App\Entity\Question::getReponse">getReponse</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Question.php.html#52"><abbr title="App\Entity\Question::setReponse">setReponse</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#71"><abbr title="App\Entity\User::getUsername">getUsername</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#79"><abbr title="App\Entity\User::getRoles">getRoles</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#88"><abbr title="App\Entity\User::setRoles">setRoles</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#98"><abbr title="App\Entity\User::getPassword">getPassword</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#103"><abbr title="App\Entity\User::setPassword">setPassword</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#113"><abbr title="App\Entity\User::getSalt">getSalt</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#121"><abbr title="App\Entity\User::eraseCredentials">eraseCredentials</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#144"><abbr title="App\Entity\User::setPrenom">setPrenom</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Form/BaladeType.php.html#13"><abbr title="App\Form\BaladeType::buildForm">buildForm</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Form/BaladeType.php.html#31"><abbr title="App\Form\BaladeType::configureOptions">configureOptions</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Form/EditUserType.php.html#16"><abbr title="App\Form\EditUserType::buildForm">buildForm</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Form/RegistrationFormType.php.html#17"><abbr title="App\Form\RegistrationFormType::buildForm">buildForm</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Question.php.html#30"><abbr title="App\Entity\Question::getId">getId</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Security/LoginFormAuthenticator.php.html#35"><abbr title="App\Security\LoginFormAuthenticator::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Security/LoginFormAuthenticator.php.html#94"><abbr title="App\Security\LoginFormAuthenticator::onAuthenticationSuccess">onAuthenticationSuccess</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Security/LoginFormAuthenticator.php.html#89"><abbr title="App\Security\LoginFormAuthenticator::getPassword">getPassword</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Security/LoginFormAuthenticator.php.html#81"><abbr title="App\Security\LoginFormAuthenticator::checkCredentials">checkCredentials</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Security/LoginFormAuthenticator.php.html#64"><abbr title="App\Security\LoginFormAuthenticator::getUser">getUser</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Security/LoginFormAuthenticator.php.html#49"><abbr title="App\Security\LoginFormAuthenticator::getCredentials">getCredentials</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Security/LoginFormAuthenticator.php.html#43"><abbr title="App\Security\LoginFormAuthenticator::supports">supports</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repository/UserRepository.php.html#28"><abbr title="App\Repository\UserRepository::upgradePassword">upgradePassword</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Form/RegistrationFormType.php.html#50"><abbr title="App\Form\RegistrationFormType::configureOptions">configureOptions</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repository/UserRepository.php.html#20"><abbr title="App\Repository\UserRepository::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repository/QuestionRepository.php.html#17"><abbr title="App\Repository\QuestionRepository::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repository/ImagesRepository.php.html#17"><abbr title="App\Repository\ImagesRepository::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repository/BaladeRepository.php.html#17"><abbr title="App\Repository\BaladeRepository::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Kernel.php.html#27"><abbr title="App\Kernel::configureRoutes">configureRoutes</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Kernel.php.html#14"><abbr title="App\Kernel::configureContainer">configureContainer</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Question.php.html#35"><abbr title="App\Entity\Question::getQuestion">getQuestion</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Images.php.html#53"><abbr title="App\Entity\Images::setBalades">setBalades</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/AdminController.php.html#23"><abbr title="App\Controller\AdminController::index">index</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Balade.php.html#72"><abbr title="App\Entity\Balade::setTitre">setTitre</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/AdminController.php.html#35"><abbr title="App\Controller\AdminController::editUser">editUser</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/BaladeController.php.html#24"><abbr title="App\Controller\BaladeController::index">index</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/BaladeController.php.html#35"><abbr title="App\Controller\BaladeController::new">new</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/BaladeController.php.html#80"><abbr title="App\Controller\BaladeController::show">show</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/BaladeController.php.html#90"><abbr title="App\Controller\BaladeController::edit">edit</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/BaladeController.php.html#132"><abbr title="App\Controller\BaladeController::delete">delete</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/BaladeController.php.html#146"><abbr title="App\Controller\BaladeController::deleteImage">deleteImage</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/RegistrationController.php.html#20"><abbr title="App\Controller\RegistrationController::register">register</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/SecurityController.php.html#15"><abbr title="App\Controller\SecurityController::login">login</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/SecurityController.php.html#32"><abbr title="App\Controller\SecurityController::logout">logout</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="DataFixtures/UserFixtures.php.html#12"><abbr title="App\DataFixtures\UserFixtures::load">load</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Balade.php.html#57"><abbr title="App\Entity\Balade::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Balade.php.html#62"><abbr title="App\Entity\Balade::getId">getId</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Balade.php.html#67"><abbr title="App\Entity\Balade::getTitre">getTitre</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Balade.php.html#79"><abbr title="App\Entity\Balade::getDistance">getDistance</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Images.php.html#48"><abbr title="App\Entity\Images::getBalades">getBalades</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Balade.php.html#132"><abbr title="App\Entity\Balade::setPointDeDepart">setPointDeDepart</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Images.php.html#41"><abbr title="App\Entity\Images::setName">setName</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Images.php.html#36"><abbr title="App\Entity\Images::getName">getName</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Images.php.html#31"><abbr title="App\Entity\Images::getId">getId</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Balade.php.html#157"><abbr title="App\Entity\Balade::removeImage">removeImage</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Balade.php.html#147"><abbr title="App\Entity\Balade::addImage">addImage</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Balade.php.html#142"><abbr title="App\Entity\Balade::getImages">getImages</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Balade.php.html#127"><abbr title="App\Entity\Balade::getPointDeDepart">getPointDeDepart</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Balade.php.html#84"><abbr title="App\Entity\Balade::setDistance">setDistance</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Balade.php.html#120"><abbr title="App\Entity\Balade::setLieuxDePauses">setLieuxDePauses</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Balade.php.html#115"><abbr title="App\Entity\Balade::getLieuxDePauses">getLieuxDePauses</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Balade.php.html#108"><abbr title="App\Entity\Balade::setPointDinteret">setPointDinteret</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Balade.php.html#103"><abbr title="App\Entity\Balade::getPointDinteret">getPointDinteret</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Balade.php.html#96"><abbr title="App\Entity\Balade::setDuree">setDuree</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Balade.php.html#91"><abbr title="App\Entity\Balade::getDuree">getDuree</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Security/LoginFormAuthenticator.php.html#106"><abbr title="App\Security\LoginFormAuthenticator::getLoginUrl">getLoginUrl</abbr></a></td><td class="text-right">0%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controller/BaladeController.php.html#35"><abbr title="App\Controller\BaladeController::new">new</abbr></a></td><td class="text-right">20</td></tr>
       <tr><td><a href="Controller/BaladeController.php.html#90"><abbr title="App\Controller\BaladeController::edit">edit</abbr></a></td><td class="text-right">20</td></tr>
       <tr><td><a href="Entity/Balade.php.html#157"><abbr title="App\Entity\Balade::removeImage">removeImage</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Kernel.php.html#14"><abbr title="App\Kernel::configureContainer">configureContainer</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Controller/AdminController.php.html#35"><abbr title="App\Controller\AdminController::editUser">editUser</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Controller/RegistrationController.php.html#20"><abbr title="App\Controller\RegistrationController::register">register</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Security/LoginFormAuthenticator.php.html#64"><abbr title="App\Security\LoginFormAuthenticator::getUser">getUser</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Kernel.php.html#27"><abbr title="App\Kernel::configureRoutes">configureRoutes</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Security/LoginFormAuthenticator.php.html#43"><abbr title="App\Security\LoginFormAuthenticator::supports">supports</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Repository/UserRepository.php.html#28"><abbr title="App\Repository\UserRepository::upgradePassword">upgradePassword</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Security/LoginFormAuthenticator.php.html#89"><abbr title="App\Security\LoginFormAuthenticator::getPassword">getPassword</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Entity/Question.php.html#47"><abbr title="App\Entity\Question::getReponse">getReponse</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Entity/Question.php.html#35"><abbr title="App\Entity\Question::getQuestion">getQuestion</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Entity/Question.php.html#30"><abbr title="App\Entity\Question::getId">getId</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Entity/Images.php.html#53"><abbr title="App\Entity\Images::setBalades">setBalades</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Entity/Images.php.html#48"><abbr title="App\Entity\Images::getBalades">getBalades</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Entity/Images.php.html#36"><abbr title="App\Entity\Images::getName">getName</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Entity/Balade.php.html#147"><abbr title="App\Entity\Balade::addImage">addImage</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Entity/Images.php.html#31"><abbr title="App\Entity\Images::getId">getId</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Entity/Balade.php.html#132"><abbr title="App\Entity\Balade::setPointDeDepart">setPointDeDepart</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Entity/Balade.php.html#127"><abbr title="App\Entity\Balade::getPointDeDepart">getPointDeDepart</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Entity/Balade.php.html#115"><abbr title="App\Entity\Balade::getLieuxDePauses">getLieuxDePauses</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Entity/Balade.php.html#108"><abbr title="App\Entity\Balade::setPointDinteret">setPointDinteret</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Entity/Balade.php.html#103"><abbr title="App\Entity\Balade::getPointDinteret">getPointDinteret</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Entity/Balade.php.html#96"><abbr title="App\Entity\Balade::setDuree">setDuree</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Entity/Balade.php.html#91"><abbr title="App\Entity\Balade::getDuree">getDuree</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Entity/Balade.php.html#79"><abbr title="App\Entity\Balade::getDistance">getDistance</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Entity/Balade.php.html#67"><abbr title="App\Entity\Balade::getTitre">getTitre</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Entity/Balade.php.html#62"><abbr title="App\Entity\Balade::getId">getId</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Controller/BaladeController.php.html#146"><abbr title="App\Controller\BaladeController::deleteImage">deleteImage</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Controller/BaladeController.php.html#132"><abbr title="App\Controller\BaladeController::delete">delete</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Security/LoginFormAuthenticator.php.html#94"><abbr title="App\Security\LoginFormAuthenticator::onAuthenticationSuccess">onAuthenticationSuccess</abbr></a></td><td class="text-right">6</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <footer>
    <hr/>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 6.1.4</a> using <a href="https://secure.php.net/" target="_top">PHP 7.4.12</a> with <a href="https://xdebug.org/">Xdebug 2.9.8</a> and <a href="https://phpunit.de/">PHPUnit 7.5.20</a> at Mon Nov 16 11:12:43 UTC 2020.</small>
    </p>
   </footer>
  </div>
  <script src=".js/jquery.min.js" type="text/javascript"></script>
  <script src=".js/d3.min.js" type="text/javascript"></script>
  <script src=".js/nv.d3.min.js" type="text/javascript"></script>
  <script type="text/javascript">
$(document).ready(function() {
  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#classCoverageDistribution svg')
      .datum(getCoverageDistributionData([18,0,0,0,1,0,0,0,0,0,0,0], "Class Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#methodCoverageDistribution svg')
      .datum(getCoverageDistributionData([69,0,0,0,0,0,0,0,0,0,0,6], "Method Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getCoverageDistributionData(data, label) {
    var labels = [
      '0%',
      '0-10%',
      '10-20%',
      '20-30%',
      '30-40%',
      '40-50%',
      '50-60%',
      '60-70%',
      '70-80%',
      '80-90%',
      '90-100%',
      '100%'
    ];
    var values = [];
    $.each(labels, function(key) {
      values.push({x: labels[key], y: data[key]});
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Cyclomatic Complexity');

    d3.select('#classComplexity svg')
      .datum(getComplexityData([[0,1,"<a href=\"Controller\/APIController.php.html#16\">App\\Controller\\APIController<\/a>"],[0,4,"<a href=\"Controller\/AdminController.php.html#17\">App\\Controller\\AdminController<\/a>"],[0,14,"<a href=\"Controller\/BaladeController.php.html#19\">App\\Controller\\BaladeController<\/a>"],[0,3,"<a href=\"Controller\/RegistrationController.php.html#15\">App\\Controller\\RegistrationController<\/a>"],[0,2,"<a href=\"Controller\/SecurityController.php.html#10\">App\\Controller\\SecurityController<\/a>"],[0,1,"<a href=\"DataFixtures\/UserFixtures.php.html#10\">App\\DataFixtures\\UserFixtures<\/a>"],[0,30,"<a href=\"Entity\/Balade.php.html#13\">App\\Entity\\Balade<\/a>"],[0,9,"<a href=\"Entity\/Images.php.html#11\">App\\Entity\\Images<\/a>"],[0,8,"<a href=\"Entity\/Question.php.html#11\">App\\Entity\\Question<\/a>"],[38.095238095238095,18,"<a href=\"Entity\/User.php.html#14\">App\\Entity\\User<\/a>"],[0,2,"<a href=\"Form\/BaladeType.php.html#11\">App\\Form\\BaladeType<\/a>"],[0,2,"<a href=\"Form\/EditUserType.php.html#14\">App\\Form\\EditUserType<\/a>"],[0,2,"<a href=\"Form\/RegistrationFormType.php.html#15\">App\\Form\\RegistrationFormType<\/a>"],[0,6,"<a href=\"Kernel.php.html#10\">App\\Kernel<\/a>"],[0,1,"<a href=\"Repository\/BaladeRepository.php.html#15\">App\\Repository\\BaladeRepository<\/a>"],[0,1,"<a href=\"Repository\/ImagesRepository.php.html#15\">App\\Repository\\ImagesRepository<\/a>"],[0,1,"<a href=\"Repository\/QuestionRepository.php.html#15\">App\\Repository\\QuestionRepository<\/a>"],[0,3,"<a href=\"Repository\/UserRepository.php.html#18\">App\\Repository\\UserRepository<\/a>"],[0,13,"<a href=\"Security\/LoginFormAuthenticator.php.html#24\">App\\Security\\LoginFormAuthenticator<\/a>"]], 'Class Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Method Complexity');

    d3.select('#methodComplexity svg')
      .datum(getComplexityData([[0,1,"<a href=\"Controller\/APIController.php.html#21\">App\\Controller\\APIController::list<\/a>"],[0,1,"<a href=\"Controller\/AdminController.php.html#23\">App\\Controller\\AdminController::index<\/a>"],[0,3,"<a href=\"Controller\/AdminController.php.html#35\">App\\Controller\\AdminController::editUser<\/a>"],[0,1,"<a href=\"Controller\/BaladeController.php.html#24\">App\\Controller\\BaladeController::index<\/a>"],[0,4,"<a href=\"Controller\/BaladeController.php.html#35\">App\\Controller\\BaladeController::new<\/a>"],[0,1,"<a href=\"Controller\/BaladeController.php.html#80\">App\\Controller\\BaladeController::show<\/a>"],[0,4,"<a href=\"Controller\/BaladeController.php.html#90\">App\\Controller\\BaladeController::edit<\/a>"],[0,2,"<a href=\"Controller\/BaladeController.php.html#132\">App\\Controller\\BaladeController::delete<\/a>"],[0,2,"<a href=\"Controller\/BaladeController.php.html#146\">App\\Controller\\BaladeController::deleteImage<\/a>"],[0,3,"<a href=\"Controller\/RegistrationController.php.html#20\">App\\Controller\\RegistrationController::register<\/a>"],[0,1,"<a href=\"Controller\/SecurityController.php.html#15\">App\\Controller\\SecurityController::login<\/a>"],[0,1,"<a href=\"Controller\/SecurityController.php.html#32\">App\\Controller\\SecurityController::logout<\/a>"],[0,1,"<a href=\"DataFixtures\/UserFixtures.php.html#12\">App\\DataFixtures\\UserFixtures::load<\/a>"],[0,1,"<a href=\"Entity\/Balade.php.html#57\">App\\Entity\\Balade::__construct<\/a>"],[0,2,"<a href=\"Entity\/Balade.php.html#62\">App\\Entity\\Balade::getId<\/a>"],[0,2,"<a href=\"Entity\/Balade.php.html#67\">App\\Entity\\Balade::getTitre<\/a>"],[0,1,"<a href=\"Entity\/Balade.php.html#72\">App\\Entity\\Balade::setTitre<\/a>"],[0,2,"<a href=\"Entity\/Balade.php.html#79\">App\\Entity\\Balade::getDistance<\/a>"],[0,1,"<a href=\"Entity\/Balade.php.html#84\">App\\Entity\\Balade::setDistance<\/a>"],[0,2,"<a href=\"Entity\/Balade.php.html#91\">App\\Entity\\Balade::getDuree<\/a>"],[0,2,"<a href=\"Entity\/Balade.php.html#96\">App\\Entity\\Balade::setDuree<\/a>"],[0,2,"<a href=\"Entity\/Balade.php.html#103\">App\\Entity\\Balade::getPointDinteret<\/a>"],[0,2,"<a href=\"Entity\/Balade.php.html#108\">App\\Entity\\Balade::setPointDinteret<\/a>"],[0,2,"<a href=\"Entity\/Balade.php.html#115\">App\\Entity\\Balade::getLieuxDePauses<\/a>"],[0,1,"<a href=\"Entity\/Balade.php.html#120\">App\\Entity\\Balade::setLieuxDePauses<\/a>"],[0,2,"<a href=\"Entity\/Balade.php.html#127\">App\\Entity\\Balade::getPointDeDepart<\/a>"],[0,2,"<a href=\"Entity\/Balade.php.html#132\">App\\Entity\\Balade::setPointDeDepart<\/a>"],[0,1,"<a href=\"Entity\/Balade.php.html#142\">App\\Entity\\Balade::getImages<\/a>"],[0,2,"<a href=\"Entity\/Balade.php.html#147\">App\\Entity\\Balade::addImage<\/a>"],[0,3,"<a href=\"Entity\/Balade.php.html#157\">App\\Entity\\Balade::removeImage<\/a>"],[0,2,"<a href=\"Entity\/Images.php.html#31\">App\\Entity\\Images::getId<\/a>"],[0,2,"<a href=\"Entity\/Images.php.html#36\">App\\Entity\\Images::getName<\/a>"],[0,1,"<a href=\"Entity\/Images.php.html#41\">App\\Entity\\Images::setName<\/a>"],[0,2,"<a href=\"Entity\/Images.php.html#48\">App\\Entity\\Images::getBalades<\/a>"],[0,2,"<a href=\"Entity\/Images.php.html#53\">App\\Entity\\Images::setBalades<\/a>"],[0,2,"<a href=\"Entity\/Question.php.html#30\">App\\Entity\\Question::getId<\/a>"],[0,2,"<a href=\"Entity\/Question.php.html#35\">App\\Entity\\Question::getQuestion<\/a>"],[0,1,"<a href=\"Entity\/Question.php.html#40\">App\\Entity\\Question::setQuestion<\/a>"],[0,2,"<a href=\"Entity\/Question.php.html#47\">App\\Entity\\Question::getReponse<\/a>"],[0,1,"<a href=\"Entity\/Question.php.html#52\">App\\Entity\\Question::setReponse<\/a>"],[100,2,"<a href=\"Entity\/User.php.html#49\">App\\Entity\\User::getId<\/a>"],[100,2,"<a href=\"Entity\/User.php.html#54\">App\\Entity\\User::getEmail<\/a>"],[100,1,"<a href=\"Entity\/User.php.html#59\">App\\Entity\\User::setEmail<\/a>"],[0,1,"<a href=\"Entity\/User.php.html#71\">App\\Entity\\User::getUsername<\/a>"],[0,1,"<a href=\"Entity\/User.php.html#79\">App\\Entity\\User::getRoles<\/a>"],[0,1,"<a href=\"Entity\/User.php.html#88\">App\\Entity\\User::setRoles<\/a>"],[0,1,"<a href=\"Entity\/User.php.html#98\">App\\Entity\\User::getPassword<\/a>"],[0,1,"<a href=\"Entity\/User.php.html#103\">App\\Entity\\User::setPassword<\/a>"],[0,1,"<a href=\"Entity\/User.php.html#113\">App\\Entity\\User::getSalt<\/a>"],[0,1,"<a href=\"Entity\/User.php.html#121\">App\\Entity\\User::eraseCredentials<\/a>"],[100,2,"<a href=\"Entity\/User.php.html#127\">App\\Entity\\User::getNom<\/a>"],[100,1,"<a href=\"Entity\/User.php.html#132\">App\\Entity\\User::setNom<\/a>"],[100,2,"<a href=\"Entity\/User.php.html#139\">App\\Entity\\User::getPrenom<\/a>"],[0,1,"<a href=\"Entity\/User.php.html#144\">App\\Entity\\User::setPrenom<\/a>"],[0,1,"<a href=\"Form\/BaladeType.php.html#13\">App\\Form\\BaladeType::buildForm<\/a>"],[0,1,"<a href=\"Form\/BaladeType.php.html#31\">App\\Form\\BaladeType::configureOptions<\/a>"],[0,1,"<a href=\"Form\/EditUserType.php.html#16\">App\\Form\\EditUserType::buildForm<\/a>"],[0,1,"<a href=\"Form\/EditUserType.php.html#44\">App\\Form\\EditUserType::configureOptions<\/a>"],[0,1,"<a href=\"Form\/RegistrationFormType.php.html#17\">App\\Form\\RegistrationFormType::buildForm<\/a>"],[0,1,"<a href=\"Form\/RegistrationFormType.php.html#50\">App\\Form\\RegistrationFormType::configureOptions<\/a>"],[0,3,"<a href=\"Kernel.php.html#14\">App\\Kernel::configureContainer<\/a>"],[0,3,"<a href=\"Kernel.php.html#27\">App\\Kernel::configureRoutes<\/a>"],[0,1,"<a href=\"Repository\/BaladeRepository.php.html#17\">App\\Repository\\BaladeRepository::__construct<\/a>"],[0,1,"<a href=\"Repository\/ImagesRepository.php.html#17\">App\\Repository\\ImagesRepository::__construct<\/a>"],[0,1,"<a href=\"Repository\/QuestionRepository.php.html#17\">App\\Repository\\QuestionRepository::__construct<\/a>"],[0,1,"<a href=\"Repository\/UserRepository.php.html#20\">App\\Repository\\UserRepository::__construct<\/a>"],[0,2,"<a href=\"Repository\/UserRepository.php.html#28\">App\\Repository\\UserRepository::upgradePassword<\/a>"],[0,1,"<a href=\"Security\/LoginFormAuthenticator.php.html#35\">App\\Security\\LoginFormAuthenticator::__construct<\/a>"],[0,2,"<a href=\"Security\/LoginFormAuthenticator.php.html#43\">App\\Security\\LoginFormAuthenticator::supports<\/a>"],[0,1,"<a href=\"Security\/LoginFormAuthenticator.php.html#49\">App\\Security\\LoginFormAuthenticator::getCredentials<\/a>"],[0,3,"<a href=\"Security\/LoginFormAuthenticator.php.html#64\">App\\Security\\LoginFormAuthenticator::getUser<\/a>"],[0,1,"<a href=\"Security\/LoginFormAuthenticator.php.html#81\">App\\Security\\LoginFormAuthenticator::checkCredentials<\/a>"],[0,2,"<a href=\"Security\/LoginFormAuthenticator.php.html#89\">App\\Security\\LoginFormAuthenticator::getPassword<\/a>"],[0,2,"<a href=\"Security\/LoginFormAuthenticator.php.html#94\">App\\Security\\LoginFormAuthenticator::onAuthenticationSuccess<\/a>"],[0,1,"<a href=\"Security\/LoginFormAuthenticator.php.html#106\">App\\Security\\LoginFormAuthenticator::getLoginUrl<\/a>"]], 'Method Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getComplexityData(data, label) {
    var values = [];
    $.each(data, function(key) {
      var value = Math.round(data[key][0]*100) / 100;
      values.push({
        x: value,
        y: data[key][1],
        class: data[key][2],
        size: 0.05,
        shape: 'diamond'
      });
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
});
  </script>
 </body>
</html>
